Bug 44669 - tput segfault
Summary: tput segfault
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 09:13 UTC by geir37
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 09:13:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description geir37 2001-06-15 09:13:09 UTC
Description of Problem:

tput which comes with ncurses-5.2-8 segfaults with the -S option if you
just press enter.

How Reproducible:

Every time.

Steps to Reproduce:
1. type 'tput -S' in a console/xterminal
2. press enter

Actual Results:

Segmentation fault (core dumped)

Expected Results:

Should probably handle \n without segfaulting.

Comment 1 Helge Deller 2001-06-18 14:06:33 UTC
will be fixed in ncurses-5.2-10.src.rpm



Note You need to log in before you can comment on or make changes to this bug.